%define fw_version 5.24

%define oname kdnssd

Summary:	KDE Frameworks 5 DNSSD module
Name:		%{oname}-kf5
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(avahi-core)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 DNSSD module.

#----------------------------------------------------------------------------

%package i18n
Summary:	KDNSSD translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDNSSD translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5dnssd_major 5
%define libkf5dnssd %mklibname kf5dnssd %{kf5dnssd_major}

%package -n %{libkf5dnssd}
Summary:	KDE Frameworks 5 DNSSD shared library
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	nss_mdns

%description -n %{libkf5dnssd}
KDE Frameworks 5 DNSSD shared library.

%files -n %{libkf5dnssd}
%{_kde5_libdir}/libKF5DNSSD.so.%{kf5dnssd_major}*

#----------------------------------------------------------------------------

%define devkf5dnssd %mklibname kf5dnssd -d

%package -n %{devkf5dnssd}
Summary:	Development files for KDE Frameworks 5 DNSSD module
Group:		Development/KDE and Qt
Requires:	%{libkf5dnssd} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5dnssd-devel = %{version}

%description -n %{devkf5dnssd}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5dnssd}
%{_kde5_includedir}/KF5/KDNSSD/
%{_kde5_libdir}/libKF5DNSSD.so
%{_kde5_libdir}/cmake/KF5DNSSD
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (074c5fb) New version 5.24.0


